
Redmine - Defect #15694

Error while uploading attachments

2013-12-13 11:48 - Yuri N

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.4.1

Description

Hello

When I'm trying to upload attachment redmine hangs for a few seconds and then prints "error" near the file name to be

attached(please look at screenshot with Firebug enabled).

In console I got this message:

[2013-12-13 14:24:33] ERROR invalid body size.

[2013-12-13 14:24:33] ERROR HTTPRequest#fixup: WEBrick::HTTPStatus::BadRequest occured.

(production.log remains untouched)

I tried to do it with different browsers(Firefox, Chrome,Opera) but it behaves the same way.(of course tried to clean browsers'

caches)

I had this problem with redmine-2.3 and now I've just run update to 2.4.1 and it's still the same.

# ruby script/about

Environment:

  Redmine version                2.4.1.stable

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.15

  Environment                    production

  Database adapter               MySQL

SCM:

  Subversion                     1.6.17

  Mercurial                      2.0.2

  Git                            1.7.9.5

  Filesystem

Redmine plugins:

  no plugin installed

 Thanks in advance.

History

#1 - 2013-12-13 11:48 - Yuri N

- File redmine_upload.png added

#2 - 2013-12-18 09:28 - Yuri N

I noticed that I can upload text attachments(i.e. plain text files) and cannot attach anything else.

And also it seems strange: when I'm trying to get directly uploads.js(http://192.168.10.1:3000/uploads.js in my setup) I get 404 error:

Page not found

The page you were trying to access doesn't exist or has been removed.

#3 - 2013-12-19 08:26 - Jean-Philippe Lang

There's no route for GET /uploads.js so it´s normal that you get a 404 (uploads.js is not a file) ?

Your problem seems to be a webrick issue and not a Redmine error. You're using a pretty old ruby version, you should try to upgrade first.
http://192.168.10.1:3000/uploads.js


#4 - 2014-01-15 16:19 - Yan Charnyy

- File Скриншот 2014-01-15 19.14.58.png added

Hello, i have the same problem. But most of the attachments load properly.

Problems mainly with ZIP archives.

the screenshot shows download the same file with different names only

Environment:

Redmine version                2.3.3.devel

Ruby version                   1.9.3-p448 (2013-06-27) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_lightbox               0.0.1

redmine_workload               1.0.2

#5 - 2014-02-24 13:52 - Michele Bollini

I have the same problem too since i moved from 2.2.0 to 2.4.3.

This is my configuration:

Environment:

Redmine version                2.4.3.stable

Ruby version                   1.9.3-p392 (2013-02-22) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.9.5

#6 - 2024-04-02 19:19 - Holger Just

- Status changed from New to Closed

- Resolution set to Cant reproduce

Without any logs, it is impossible to find the root cause of this.

If this is still an issue, please re-open this issue and provide some logs. These can be found in logs/production.log within your Redmine directory by

default (or an alternative log location configured in config/configuration.yml) as well as the logs of your webserver.
